Skip to content

Get Projects ​

Retrieve a list of all projects with which the market maker has an active engagement.

Overview ​

This endpoint returns a list of projects that the market maker is actively engaged with. Each project is identified by a unique ID and has a human-readable name. Only projects that have active engagement with your organization are included in the list.

Endpoint: GET https://data.api.forgd.com/api/v1/projects

Authentication: Required (API Key) (docs)

Managing your projects

Read more about how to manage your projects in the Preparing Engagements section.

GET Request ​

Headers ​

HeaderTypeRequiredDescription
AuthorizationstringYesAPI key for authentication
Check Authentication for more details

Examples ​

js
const response = await fetch('https://data.api.forgd.com/api/v1/projects', {
  method: 'GET',
  headers: {
    Authorization: '<API_KEY>',
  },
})

const data = await response.json()

if (response.ok) {
  console.log('Projects:', data)
} else {
  console.error('Error:', response.status, response.statusText, data)
}
python
import requests

response = requests.get(
    'https://data.api.forgd.com/api/v1/projects',
    headers={'Authorization': '<API_KEY>'},
)

data = response.json()

if response.ok:
    print('Projects:', data)
else:
    print('Error:', response.status_code, response.reason, data)
bash
curl -X GET "https://data.api.forgd.com/api/v1/projects" \
  -H "Authorization: <API_KEY>"

Success Response ​

HTTP 200 OK ​

Returns an array of project objects. Each project object contains unique id and human-readable name.

Response Type ​

ts
type SuccessResponseType = {
  id: string
  name: string
}[]
json
[
  {
    "id": "solana",
    "name": "Solana"
  },
  {
    "id": "sonic-3",
    "name": "Sonic"
  },
  {
    "id": "sui",
    "name": "Sui"
  }
]

Error Responses ​

HTTP 401 Unauthorized ​

The request could not be authenticated. Possible reasons:

ts
type ErrorResponseType = {
  message: string
  statusCode: number
}
json
{
  "message": "Unauthorized",
  "statusCode": 401
}

HTTP 5xx Internal Server Error ​

The request has failed due to an error on the server side. Most likely there is an internal issue with our server or network - please try again after couple of minutes.

We are getting notified about every 5XX response internally but if this is an recurring issue, please contact us at [email protected].

FAQ & Troubleshooting ​

I can't find my project ​

This endpoint returns only projects that have active engagement with your organization. Please make sure that the project you are looking for is present in "My Engagements" section of the Forgd Liquidity Portal. Engagements that are not active will not be included in the response of this endpoint.

How to add a new project ​

Read more about how to manage your projects in the Preparing Engagements section.